## xmms2 0.8%2Bdfsg

=== src/clients/et/wscript ===
from waflib import Utils, Options

def build(bld):
    bld(features = 'c cprogram',
        target = 'xmms2-et',
        source = ['xmms2-et.c'],
        includes = '. ../../.. ../../include',
        uselib = 'glib2 socket resolv',
        use = 'xmmsclient-glib xmmsclient'
        )

    bld(features = 'subst',
        target = 'xmms2-et-launcher.sh',
        source = 'xmms2-et-launcher.sh.in',
        install_path = '${SCRIPTDIR}',
        chmod = Utils.O755,
        PRG_PATH = bld.env.BINDIR
        )

    bld(features = 'man',
        source = 'xmms2-et.1'
        )


def configure(conf):
    if Options.platform == "win32":
        conf.fatal("Not supported on Windows")
    elif Options.platform == "sunos":
        conf.check_cc(lib="resolv", uselib_store="resolv", mandatory=True)
    return True


def options(opt):
    pass

=== src/clients/nycli/wscript ===
from waflib import Options, Errors

source = """
main.c
cli_infos.c
cli_cache.c
command_trie.c
commands.c
matching_browse.c
command_utils.c
cmdnames.c
configuration.c
status.c
utils.c
alias.c
column_display.c
readline.c
playlist_positions.c
""".split()

def build(bld):
    compat = ['compat_%s.c' % bld.env.CLI_COMPAT_IMPL]

    bld(features = 'c cprogram',
        target = 'xmms2',
        source = source + compat,
        includes = '. ../../../ ../../include',
        uselib = 'glib2 readline readline_ncurses',
        use = 'xmmsclient'
        )

    bld(features = 'man',
        source = 'xmms2.1'
        )

    bld.symlink_as('${PREFIX}/bin/nyxmms2', 'xmms2')


def configure(conf):
    if Options.platform == 'win32':
        conf.env.CLI_COMPAT_IMPL = 'win32'
    else:
        conf.env.CLI_COMPAT_IMPL = 'unix'

    rl_headers=["stdio.h", "readline/readline.h"]

    conf.check_cc(header_name=rl_headers)

    # first try just linking against libreadline
    try:
        conf.check_cc(lib="readline", header_name=rl_headers,
                function_name='rl_filename_dequoting_function',
                uselib_store="readline", uselib="glib2")
    except Errors.ConfigurationError:
        pass
    else:
        return

    # then try ncurses
    conf.check_cc(lib="ncurses", uselib_store="readline_ncurses")
    conf.check_cc(lib="readline", header_name=rl_headers,
            function_name='rl_filename_dequoting_function',
            uselib_store="readline", uselib="glib2 readline_ncurses")


def options(opt):
    pass

=== src/plugins/mp4/wscript ===
from waftools.plugin import plugin

def plugin_configure(conf):
    conf.check_cc(lib="m", uselib_store="math")

    conf.env.DEFINES_mp4 = ['USE_TAGGING']
    # to use iTunes DRM change this to true
    if False:
        conf.env.DEFINES_mp4 += [
            "ITUNES_DRM",
            "HAVE_SYS_STAT_H",
            "HAVE_ERRNO_H",
            "HAVE_LIMITS_H",
            "HAVE_STRING_H"
        ]

def plugin_build(bld, obj):
    obj.source.extend(bld.path.ant_glob("mp4ff/*.c"))

configure, build = plugin("mp4", configure=plugin_configure, build=plugin_build,
                          libs=["mp4", "math", "DISABLE_MISSINGPROTOTYPES"])

=== src/plugins/sid/wscript ===
from waftools.plugin import plugin
from os.path import realpath

source = """
sid.c
sidplay_wrapper.cpp
md5.cpp
""".split()

def plugin_configure(conf):
    if not conf.env.CXX:
        return

    conf.check_cfg(package="libsidplay2", args="--cflags --libs",
            uselib_store="sidplay")
    conf.check_cxx(lib="sidplay2", uselib_store="sidplay")

    # extract what's inside builders pkg-config variable
    builders = conf.check_cfg(package="libsidplay2",
            args="--variable=builders").strip()

    # It looks funny that this is LIBPATH_sidplay but it is correct
    # since we explcitly set the path to builders for resid it will
    # find resid in the list even though we still need to -rpath it.
    if not realpath(builders) in [realpath(i) for i in conf.env.LIBPATH_sidplay]:
        conf.env.LINKFLAGS_resid = ["-Wl,-rpath=%s" % builders]
        conf.env.LIBPATH_resid = [builders]

    conf.check_cxx(lib="resid-builder", header_name="sidplay/builders/resid.h",
            uselib_store="resid", uselib="resid")

def plugin_build(bld, obj):
    # TODO: Why don't we build everything with g++ instead?
    #obj.mappings['.cpp'] = obj.__class__.mappings['.c']
    pass

configure, build = plugin('sid', configure=plugin_configure, build=plugin_build,
                          source=source, libs=["sidplay", "resid"], tool='cxx')

=== debian/control ===
Source: xmms2
Section: sound
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               gem2deb,
               libao-dev,
               libasound2-dev [linux-any],
               libavahi-client-dev,
               libavahi-glib-dev,
               libavcodec-dev,
               libboost-dev,
               libboost-signals-dev,
               libcdio-cdda-dev,
               libcurl4-openssl-dev,
               libdiscid0-dev,
               libexpat1-dev,
               libfaad-dev,
               libfftw3-dev,
               libflac-dev,
               libgamin-dev,
               libglib2.0-dev,
               libgme-dev,
               libjack-dev,
               libmad0-dev,
               libmms-dev,
               libmodplug-dev,
               libmpcdec-dev,
               libmpg123-dev (>= 1.5.1),
               libofa0-dev,
               libperl-dev,
               libpulse-dev,
               libreadline-dev,
               libresid-builder-dev,
               libsamplerate-dev,
               libsdl1.2-dev,
               libshout-dev,
               libsidplay2-dev,
               libsmbclient-dev,
               libsndfile1-dev,
               libsqlite3-dev,
               libvisual-0.4-dev,
               libvorbis-dev,
               libwavpack-dev,
               libxml2-dev,
               python-all-dev (>= 2.6.6-3~),
               python-pyrex
Vcs-Git: git://anonscm.debian.org/pkg-xmms2/xmms2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xmms2/xmms2.git
Homepage: http://xmms2.org/

Package: libaudio-xmmsclient-perl
Architecture: any
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: XMMS2 - Perl client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a Perl library that allows you do write XMMS2 clients.
 It's a language binding of libxmmsclient0.

Package: libxmmsclient++-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libxmmsclient++4 (= ${binary:Version}),
         libxmmsclient-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient++4.

Package: libxmmsclient++-glib-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient++-dev,
         libxmmsclient++-glib1 (= ${binary:Version}),
         libxmmsclient-glib-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient++-glib1.

Package: libxmmsclient++-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - glib client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c++.

Package: libxmmsclient++4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libxmmsclient++1, libxmmsclient++2, libxmmsclient++3
Replaces: libxmmsclient++1, libxmmsclient++2, libxmmsclient++3
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c++.

Package: libxmmsclient-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient6 (= ${binary:Version}),
         pkg-config,
         xmms2-dev,
         ${misc:Depends}
Description: XMMS2 - client library development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using libxmmsclient6.

Package: libxmmsclient-glib-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libxmmsclient-dev,
         libxmmsclient-glib1 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient-glib1.

Package: libxmmsclient-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - glib client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c.

Package: ruby-xmmsclient
Architecture: any
Section: ruby
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - Ruby bindings
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a Ruby library that allows you to write XMMS2 clients.
 It's a language binding of libxmmsclient0.

Package: libxmmsclient6
Architecture: any
Section: libs
Conflicts: libxmmsclient2, libxmmsclient3, libxmmsclient4, libxmmsclient5
Replaces: libxmmsclient2, libxmmsclient3, libxmmsclient4, libxmmsclient5
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c.

Package: python-xmmsclient
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: XMMS2 - Python bindings
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains the Python bindings for the XMMS2 client library.

Package: xmms2
Architecture: any
Depends: xmms2-client-cli,
         xmms2-core,
         xmms2-icon,
         xmms2-plugin-alsa [linux-any],
         xmms2-plugin-id3v2,
         xmms2-plugin-mad,
         xmms2-plugin-oss [!linux-any],
         xmms2-plugin-vorbis,
         ${misc:Depends}
Conflicts: xmms2-plugin-nulstripper
Replaces: xmms2-plugin-nulstripper
Description: Client/server based media player system
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package is a metapackage depending on various other XMMS2 packages.
 Installing this package gets you a command line client and enables XMMS2
 playback of Ogg Vorbis and MP3 files from local and remote sources.

Package: xmms2-client-avahi
Architecture: any
Depends: xmms2-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - avahi client
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains the avahi client.

Package: xmms2-client-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xmms2-core (= ${binary:Version})
Description: XMMS2 - cli client
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains the readline powered text user interface for XMMS2.

Package: xmms2-client-medialib-updater
Architecture: any
Depends: xmms2-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - medialib-updater client
 The media library is where XMMS2 stores metadata about files as it plays them.
 Having a media library allows XMMS2 to 'remember' the songs it has played, and
 thus allows users to easily re-create their favorite playlists.
 .
 This package contains the medialib-updater client which monitors given
 directories and updates the media library with new and changed files.

Package: xmms2-client-nycli
Architecture: any
Depends: xmms2-client-cli, ${misc:Depends}
Suggests: xmms2-core (= ${binary:Version})
Description: XMMS2 - new cli client
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains only the symlink from nyxmms2 to xmms2. nyxmms2 was
 renamed to xmms2 in 0.8 DrO_o.

Package: xmms2-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libxmmsclient++1,
           libxmmsclient++2,
           libxmmsclient2,
           libxmmsclient3,
           libxmmsclient4
Description: XMMS2 - core package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
